function [V, F, h_p, h_r] = gingerbread_LD()

  V = [
     0.12283   0.93441
     0.21753   0.84500
     0.21939   0.71553
     0.14535   0.54433
     0.15092   0.40797
     0.38801   0.35947
     0.66181   0.36110
     0.82080   0.31510
     0.89996   0.24771
     0.87368   0.18696
     0.75647   0.16851
     0.59429   0.17980
     0.41175   0.13343
     0.28789   0.02370
     0.25292  -0.11743
     0.29689  -0.27473
     0.36434  -0.46628
     0.41573  -0.76141
     0.40657  -0.90008
     0.33807  -0.97628
     0.25165  -0.89995
     0.17023  -0.72222
     0.08727  -0.51585
     0.08465  -0.02280
     0.09830   0.12018
     0.11496   0.29159
     0.08317   0.46981
     0.09195   0.62725
     0.10793   0.77891
     0.08629  -0.23618
     0.16430  -0.15308
     0.17993  -0.29270
     0.11143  -0.38153
     0.18993  -0.50397
     0.24073  -0.41799
     0.30187  -0.58873
     0.29240  -0.74803
     0.06622  -0.12704
     0.18320  -0.00067
     0.21114   0.14539
     0.26532   0.27133
     0.31716   0.16623
     0.40972   0.25731
     0.54590   0.25554
     0.66771   0.24376
     0.78007   0.25386
     0.53015   0.35784
     0.20834  -0.61576
     0.40159  -0.60769
    -0.12283   0.93441
    -0.21753   0.84500
    -0.21939   0.71553
    -0.14535   0.54433
    -0.15092   0.40797
    -0.38801   0.35947
    -0.66181   0.36110
    -0.82080   0.31510
    -0.89996   0.24771
    -0.87368   0.18696
    -0.75647   0.16851
    -0.59429   0.17980
    -0.41175   0.13343
    -0.28789   0.02370
    -0.25292  -0.11743
    -0.29689  -0.27473
    -0.36434  -0.46628
    -0.41573  -0.76141
    -0.40657  -0.90008
    -0.33807  -0.97628
    -0.25165  -0.89995
    -0.17023  -0.72222
    -0.08727  -0.51585
    -0.08465  -0.02280
    -0.09830   0.12018
    -0.11496   0.29159
    -0.08317   0.46981
    -0.09195   0.62725
    -0.10793   0.77891
    -0.08629  -0.23618
    -0.16430  -0.15308
    -0.17993  -0.29270
    -0.11143  -0.38153
    -0.18993  -0.50397
    -0.24073  -0.41799
    -0.30187  -0.58873
    -0.29240  -0.74803
    -0.06622  -0.12704
    -0.18320  -0.00067
    -0.21114   0.14539
    -0.26532   0.27133
    -0.31716   0.16623
    -0.40972   0.25731
    -0.54590   0.25554
    -0.66771   0.24376
    -0.78007   0.25386
    -0.53015   0.35784
     0.00000   0.97627
     0.00000  -0.41160
     0.00000   0.84860
     0.00000   0.70268
     0.00000   0.55225
     0.00000   0.39549
     0.00000   0.23092
     0.00000   0.07667
     0.00000  -0.05285
     0.00000  -0.17029
     0.00000  -0.29243
    -0.20834  -0.61576
    -0.40159  -0.60769
  ];


  F = [
    21 22 37
    37 48 36
    34 48 23
    18 36 49
    18 37 36
    19 37 18
    37 19 21
    20 21 19
    36 48 34
    34 35 36
    36 35 17
    17 35 16
    32 16 35
    35 33 32
    35 34 33
    34 23 33
    98 33 23
    33 98 107
    107 30 33
    30 107 106
    106 38 30
    38 106 105
    24 38 105
    24 105 104
    104 25 24
    104 103 25
    103 26 25
    26 103 102
    102 27 26
    27 102 101
    101 28 27
    28 101 100
    100 29 28
    99 29 100
    29 99 1
    1 99 97
    1 2 29
    3 29 2
    29 3 28
    3 4 28
    28 4 27
    4 5 27
    27 5 26
    33 30 32
    31 32 30
    32 31 16
    16 31 15
    39 15 31
    30 38 31
    24 31 38
    31 24 39
    24 25 39
    25 40 39
    15 39 14
    39 40 14
    42 14 40
    14 42 13
    25 26 40
    41 40 26
    26 5 41
    6 41 5
    40 41 42
    9 10 46
    11 46 10
    46 11 45
    11 12 45
    12 44 45
    13 44 12
    43 44 13
    13 42 43
    41 43 42
    41 6 43
    47 44 43
    43 6 47
    7 45 44
    7 44 47
    9 46 8
    8 46 7
    46 45 7
    48 22 23
    49 36 17
    48 37 22
    70 86 71
    86 85 108
    83 72 108
    67 109 85
    67 85 86
    68 67 86
    86 70 68
    69 68 70
    85 83 108
    83 85 84
    85 66 84
    66 65 84
    81 84 65
    84 81 82
    84 82 83
    83 82 72
    98 72 82
    82 107 98
    107 82 79
    79 106 107
    106 79 87
    87 105 106
    73 105 87
    73 104 105
    104 73 74
    104 74 103
    103 74 75
    75 102 103
    102 75 76
    76 101 102
    101 76 77
    77 100 101
    100 77 78
    99 100 78
    78 50 99
    50 97 99
    50 78 51
    52 51 78
    78 77 52
    52 77 53
    77 76 53
    53 76 54
    76 75 54
    82 81 79
    80 79 81
    81 65 80
    65 64 80
    88 80 64
    79 80 87
    73 87 80
    80 88 73
    73 88 74
    74 88 89
    64 63 88
    88 63 89
    91 89 63
    63 62 91
    74 89 75
    90 75 89
    75 90 54
    55 54 90
    89 91 90
    58 95 59
    60 59 95
    95 94 60
    60 94 61
    61 94 93
    62 61 93
    92 62 93
    62 92 91
    90 91 92
    90 92 55
    96 92 93
    92 96 55
    56 93 94
    56 96 93
    58 57 95
    57 56 95
    95 56 94
    108 72 71
    109 66 85
    108 71 86
  ];
  
  
%  h_p = [9, 97, 58, 69, 20];

  h_p = [99, 15, 64];
  
  h_r = {[8,9,10,46], [19, 20, 21], [68, 69, 70], [57, 58, 59, 95]};

end
